import string

def grow_mustache(number_of_people, char, city):
    print('Grew a mustache on %d\tpeople because of %s in %s' % (number_of_people, char, city.strip()))

def sum_of_primes(limit, number_modifier=lambda x: x):
    primes = []
    for number in range(2, limit + 1):
        if all([number % divisor for divisor in range(2, number)]):
            primes.append(number_modifier(number))
    return sum(primes)
    
f = open('cities')
for city in f:
    for char in city:
        if not char in string.ascii_letters: continue
        limit = ord(char.lower()) - ord('a')
        grow_mustache(sum_of_primes(limit), char, city)
        
        limit_mirror = 26 - limit
        grow_mustache(sum_of_primes(limit_mirror, lambda x: x // 2), char, city)